List:MySQL and Perl« Previous MessageNext Message »
From:Jochen Wiedmann Date:January 23 2000 12:02pm
Subject:Re: resolved: trouble installing Msql-Mysql 1.2210
View as plain text  
peter@stripped wrote:
> 
> Hi,
> 
> I am happy to report that this problem was solved by deleting all
> files associated with other versions of mysql, as suggested in a
> previous post.  I'm not sure if it was compiling against the wrong
> stub, or loading the wrong library dynamically.
> 
> It would be nice if there was a way to do this without deleting
> old versions of MySQL.  For example, I would like to be able to
> test DBD::Mysql with a version of mysql that I have not yet
> installed before installing both, since I depend on both
> interoperating correctly.

That's definitely possible, but you need to know about a lot of
C and Perl variables, in particular

	LD_RUN_PATH
	LD_LIBRARY_PATH
	PERL5LIB

and perhaps some from "perldoc ExtUtils::MakeMaker". See also
"perldoc perlrun".


Bye,

Jochen

-- 
Jochen Wiedmann						joe@stripped
All those frogs she kissed and all she got		+49 711 7168586
was me ...
Thread
resolved: trouble installing Msql-Mysql 1.2210peter19 Jan
  • Re: resolved: trouble installing Msql-Mysql 1.2210Jochen Wiedmann23 Jan